> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuroncx.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get lead details by lead ID

> Retrieve the details of a lead by its unique identifier.



## OpenAPI

````yaml GET /prod/lead/{leadId}
openapi: 3.0.3
info:
  title: NeuronCx API
  version: 1.0.0
  description: >-
    API collection of NeuronCx — Omnichannel Automations & Reasoning. NeuronCx
    APIs use Bearer as an authorization layer. Every API request must contain an
    `Authorization` HTTP header with a token. Tokens can be generated by admin
    role users on https://dash.neuroncx.in/.
servers:
  - url: https://domain-c.neuroncx.in
    description: Carrier domain (domain_c)
  - url: https://domain-g.neuroncx.in
    description: Get/lead domain (domain_g)
  - url: https://domain-i.neuroncx.in
    description: Interactive/messaging domain (domain_i)
  - url: https://events.neuroncx.in
    description: Event handler domain
  - url: https://automation.neuroncx.in
    description: Automation domain
security:
  - bearerAuth: []
tags:
  - name: Prospects
  - name: Messages
  - name: Attributes
  - name: Agent
  - name: Events
paths:
  /prod/lead/{leadId}:
    get:
      tags:
        - Prospects
      summary: Get lead details by lead ID
      operationId: getLeadById
      parameters:
        - name: leadId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: examId
          in: query
          required: true
          schema:
            type: string
        - name: fields
          in: query
          required: false
          schema:
            type: string
          description: >-
            Comma-separated list of fields to include in the response. Allowed
            fields: `orders`, `attributes`.
      responses:
        '200':
          description: Lead details
          content:
            application/json:
              examples:
                withoutFields:
                  summary: Without fields
                  value:
                    success: true
                    data:
                      lead_id: 2da26b4f-78f4-11f0-9aa5-......
                      lead_create_time: '2023-06-15T10:30:45.000Z'
                      lead_modified_time: '2023-06-15T10:30:45.000Z'
                      source:
                        InstSourceId: 123
                        InstSourceName: SourceName
                      user:
                        name: John Doe
                        phone_number: '919876543210'
                        email: john.doe@example.com
                withFields:
                  summary: With fields (orders, attributes)
                  value:
                    success: true
                    data:
                      lead_id: 2da26b4f-78f4-11f0-9aa5-.....
                      lead_create_time: '2023-06-15T10:30:45.000Z'
                      lead_modified_time: '2023-06-15T10:30:45.000Z'
                      source:
                        InstSourceId: 123
                        InstSourceName: SourceName
                      user:
                        name: John Doe
                        phone_number: '919876543210'
                        email: john.doe@example.com
                      orders: []
                      attributes: []
      x-codeSamples:
        - lang: cURL
          label: Without fields
          source: >-
            curl --location
            'https://domain-g.neuroncx.in/prod/lead/{leadId}?examId={examId}' \

            --header 'Authorization: Bearer Token'
        - lang: cURL
          label: With fields
          source: >-
            curl --location
            'https://domain-g.neuroncx.in/prod/lead/{leadId}?examId={examId}&fields=orders,attributes'
            \

            --header 'Authorization: Bearer Token'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.